`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 03.03.2021 11:08:20
// Design Name: 
// Module Name: rel_seq_cntr
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module rel_seq_cntr(clk,rst_n,En, N_val,K_val,adr_out);
input clk,rst_n,En;
input [9:0]N_val;
input [8:0]K_val;
output [9:0]adr_out;

wire [9:0]start_val;
reg [9:0]tmp;

assign start_val = N_val - K_val;
always @ (posedge clk)
begin
      if (!rst_n)
         tmp <= 0;
      else if (!En)
         tmp <= start_val;
      else if (tmp < N_val)
         tmp <= tmp + 1;
      else
         tmp <= tmp;
end
assign  adr_out = tmp;
endmodule