`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 02.03.2021 16:07:52
// Design Name: 
// Module Name: relt_seq_128
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module relt_seq_128(
input wire en_128,
output reg [9:0] out_128,
input wire [9:0] adr_128); // address- 8 deep memory
// Declare a memory rom of 8 4-bit registers. The indices are 0 to 7:
(* synthesis, rom_block = "ROM_CELL XYZ01" *) reg [9:0] rom[0:127];
// (* synthesis, logic_block *) reg [3:0] rom [0:7];
initial begin
rom[127] =      10'd127;
rom[126] =       10'd126;
rom[125] =       10'd125;
rom[124] =       10'd123;
rom[123] =       10'd119;
rom[122] =       10'd111;
rom[121] =       10'd95;
rom[120] =       10'd124;
rom[119] =       10'd63;
rom[118] =       10'd122;
rom[117] =       10'd121;
rom[116] =       10'd118;
rom[115] =       10'd117;
rom[114] =       10'd110;
rom[113] =       10'd115;
rom[112] =       10'd109;
rom[111] =       10'd94;
rom[110] =       10'd107;
rom[109] =       10'd93;
rom[108] =       10'd103;
rom[107] =       10'd62;
rom[106] =       10'd120;
rom[105] =       10'd91;
rom[104] =       10'd61;
rom[103] =       10'd116;
rom[102] =       10'd87;
rom[101] =       10'd114;
rom[100] =       10'd59;
rom[99] =        10'd108;
rom[98] =        10'd79;
rom[97] =        10'd113;
rom[96] =        10'd55;
rom[95] =        10'd106;
rom[94] =        10'd47;
rom[93] =        10'd92;
rom[92] =        10'd105;
rom[91] =        10'd102;
rom[90] =        10'd90;
rom[89] =        10'd31;
rom[88] =        10'd101;
rom[87] =        10'd89;
rom[86] =        10'd60;
rom[85] =        10'd86;
rom[84] =        10'd99;
rom[83] =        10'd58;
rom[82] =        10'd85;
rom[81] =        10'd78;
rom[80] =        10'd112;
rom[79] =        10'd57;
rom[78] =        10'd83;
rom[77] =        10'd54;
rom[76] =        10'd77;
rom[75] =        10'd53;
rom[74] =        10'd104;
rom[73] =        10'd75;
rom[72] =        10'd46;
rom[71] =        10'd51;
rom[70] =        10'd100;
rom[69] =        10'd45;
rom[68] =        10'd71;
rom[67] =        10'd30;
rom[66] =        10'd88;
rom[65] =        10'd98;
rom[64] =        10'd43;
rom[63] =        10'd29;
rom[62] =        10'd84;
rom[61] =        10'd39;
rom[60] =        10'd97;
rom[59] =        10'd27;
rom[58] =        10'd56;
rom[57] =        10'd82;
rom[56] =        10'd76;
rom[55] =        10'd23;
rom[54] =        10'd52;
rom[53] =        10'd15;
rom[52] =        10'd73;
rom[51] =        10'd50;
rom[50] =        10'd81;
rom[49] =        10'd44;
rom[48] =        10'd70;
rom[47] =        10'd74;
rom[46] =        10'd49;
rom[45] =        10'd42;
rom[44] =        10'd69;
rom[43] =        10'd28;
rom[42] =        10'd41;
rom[41] =        10'd67;
rom[40] =        10'd96;
rom[39] =        10'd38;
rom[38] =        10'd22;
rom[37] =        10'd25;
rom[36] =        10'd37;
rom[35] =        10'd80;
rom[34] =        10'd26;
rom[33] =        10'd35;
rom[32] =        10'd21;
rom[31] =        10'd72;
rom[30] =        10'd14;
rom[29] =        10'd48;
rom[28] =        10'd13;
rom[27] =        10'd19;
rom[26] =        10'd68;
rom[25] =        10'd40;
rom[24] =        10'd11;
rom[23] =        10'd66;
rom[22] =        10'd7;
rom[21] =        10'd36;
rom[20] =        10'd24;
rom[19] =        10'd34;
rom[18] =        10'd20;
rom[17] =        10'd65;
rom[16] =        10'd33;
rom[15] =        10'd12;
rom[14] =        10'd18;
rom[13] =        10'd10;
rom[12] =        10'd17;
rom[11] =        10'd6;
rom[10] =        10'd9;
rom[9] =         10'd64;
rom[8] =         10'd5;
rom[7] =         10'd3;
rom[6] =         10'd32;
rom[5] =         10'd16;
rom[4] =         10'd8;
rom[3] =         10'd4;
rom[2] =         10'd2;
rom[1] =         10'd1;
rom[0] =         10'd0;
end  
//assign out_128 = rom[a= dr_128];
always @ (*) 
begin                  
if (en_128)            
      //assign out_32 =   rom[adr_32];
     out_128 = rom[adr_128];
else
    out_128 = 128'd0;
end   
endmodule



